View Issue Details

IDProjectCategoryView StatusLast Update
0002998PartDesignBugpublic2018-09-16 14:45
ReporterngropmanAssigned Towandererfan 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSWindowsOS Version10
Product Version0.17 
Target VersionFixed in Version0.17 
Summary0002998: Sketch with 2 shapes (rings) wont pad - Broken face
DescriptionSo, not sure if its just the way i am using it or if its a bug in the sketcher. But, if you were to create 2 rings vertically aligned on the XY Plane (so 2 circles at the top - offset 4mm and 2 circles on the bottom - offset 4 mm), that shape won't be able to pad.
But, in V0.16 - it works fine.
If you repeat the steps below in 0.16 and pad the part - it works fine. Then if you open the file in 0.17 - it looks fine.
But you cannot change the padding / remove and repad.
Steps To Reproduce1. Launch Freecad 0.17
2. Start a new file
3. Activate Part Design workbench
4. Create a new part / body
5. Create a new sketch - xy plane
6. Draw a circle centered on the origin - constrain to 11.2 mm
7. Draw a circle centered on the origin - constrain to 15.2 mm
8. Draw a circle centered on Y-Axis, X+32mm - constrain to 8mm
9. Draw a circle centered on Y-Axis, X+32mm - constrain to 12 mm
10. At this point - The part is fully constrained.
11. Close the sketcher
12. Select Pad
One of 2 thing happens:
a. Sketch disappears - nothing is padded
b. Only one of the rings is padded
Additional InformationOS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.10894 (Git)
Build type: Release
Branch: master
Hash: 6e5bba3999b49098cac93482a13afca243a89d04
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
TagsNo tags attached.

Relationships

related to 0001707 closedwandererfan PartDesign - Inconsistent handling of multiple pieces 

Activities

DeepSOIC

2017-04-27 22:35

developer   ~0008783

It was a bug in 0.16 that it did work. It shouldn't. PartDesign has a rule that at every step, the object must be a single solid. Your attempt should produce two solids.

If you want the old behavior back, you can use Part Extrude instead of PartDesign Pad. Create the sketch from Sketcher workbench to bypass PartDesign asking for Body.

Kunda1

2017-04-28 01:50

administrator   ~0008785

@DeepSOIC should I resolve ticket?
@ngropman next time please open a forum thread before you open a ticket to ascertain if indeed it merits a ticket. Thanks

DeepSOIC

2017-04-28 16:06

developer   ~0008805

@Kunda1 actually no. PartDesign silently discards the other profile and IMO it's not correct. It should either fail, or issue a warning... but in any case, it should give some info on what's wrong.

Kunda1

2017-04-28 16:09

administrator   ~0008806

Confirming ticket based on DeepSOIC feedback.

Kunda1

2017-04-29 12:36

administrator   ~0008823

Forum thread: https://forum.freecadweb.org/viewtopic.php?f=19&t=22143

abdullah

2017-05-24 21:52

manager   ~0009115

@kunda1

Can we downgrade the severity to minor?

Why?
While additional information would be nice, it is far from being a show stopper.

Kunda1

2017-05-24 21:53

administrator   ~0009116

Done ;)

wandererfan

2018-07-21 18:40

developer   ~0011539

Does this commit 7e781bcfd0 fix this issue?

normandc

2018-09-03 08:08

manager   ~0011693

I believe it does.

normandc

2018-09-16 14:45

manager   ~0011760

Commit 7e781bcfd0 to master and releases/FreeCAD-0-17 fixes this issue by giving a warning message when a PartDesign feature would create multiple solids.

Issue History

Date Modified Username Field Change
2017-04-26 04:17 ngropman New Issue
2017-04-27 22:35 DeepSOIC Note Added: 0008783
2017-04-28 01:50 Kunda1 Note Added: 0008785
2017-04-28 16:06 DeepSOIC Note Added: 0008805
2017-04-28 16:09 Kunda1 Status new => confirmed
2017-04-28 16:09 Kunda1 Note Added: 0008806
2017-04-29 12:36 Kunda1 Note Added: 0008823
2017-05-24 21:52 abdullah Note Added: 0009115
2017-05-24 21:53 Kunda1 Severity major => minor
2017-05-24 21:53 Kunda1 Note Added: 0009116
2018-06-10 04:30 normandc Relationship added related to 0001707
2018-07-21 18:40 wandererfan Note Added: 0011539
2018-09-03 08:08 normandc Note Added: 0011693
2018-09-16 14:45 normandc Assigned To => wandererfan
2018-09-16 14:45 normandc Status confirmed => closed
2018-09-16 14:45 normandc Resolution open => fixed
2018-09-16 14:45 normandc Fixed in Version => 0.17
2018-09-16 14:45 normandc Note Added: 0011760